List credit reports
curl --request GET \
--url https://api.gospott.com/clients/{clientId}/credit-reports \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/clients/{clientId}/credit-reports"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/clients/{clientId}/credit-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"companyId": "<string>",
"attachmentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"verifiedBy": "<string>"
}
],
"pagination": {
"cursor": "<string>"
}
}{
"status": 0,
"message": "Limit must be between 1 and 100",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Clients
List credit reports
Returns a list of credit reports. Scoped to the specified client and ordered newest first. Uses cursor pagination.
GET
/
clients
/
{clientId}
/
credit-reports
List credit reports
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Query Parameters
Number of credit reports to return (min: 1, max: 100, default: 50).
Required range:
1 <= x <= 100Example:
50
Opaque cursor from the previous response.
⌘I

